Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004864 [JEDI VCL] 00 JVCL Components crash sometimes 2009-07-15 03:21 2009-08-23 21:38
Reporter Brian View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0004864: JvSpeedButton AV
Description I'm having many of my users of an app report crashes to me when they shut down their computer, with JvSpeedButton on last call of the stack with this data:

exception class : EAccessViolation
exception message : Access violation at address 00573207 in module ''. Read of address 00000004.

main thread ($4dc):
00573207 +00f .exe JvSpeedButton TJvGlyphCache.ReturnList
00574bdb +037 .exe JvSpeedButton TJvxButtonGlyph.Invalidate
00574559 +015 .exe JvSpeedButton TJvxButtonGlyph.Destroy
00404464 +008 .exe System 103 +0 TObject.Free
00571b00 +01c .exe JvSpeedButton TJvCustomSpeedButton.Destroy
0057351d +01d .exe JvSpeedButton TJvSpeedButton.Destroy
004fd285 +08d .exe Controls TWinControl.Destroy

disassembling:
0040445c public System.TObject.Free: ; function entry point
0040445c 103 eax, eax
0040445e loc_404467
00404460 dl, 1
00404462 ecx, [eax]
00404464 > dword ptr [ecx-4]
00404467

Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0015857)
obones (administrator)
2009-07-15 08:46

Please try to use the latest version of the JVCL.
If this is still there, please provide the zipped sources of a sample application showing this issue.
(0015927)
obones (administrator)
2009-08-05 12:08

Any news?
(0015930)
Brian (reporter)
2009-08-05 12:12

I'll try to reproduce the issue in a sample project this week.
(0016011)
AHUser (developer)
2009-08-23 21:38

I have added code that protects JvSpeedButton against this null pointer exception which can only occur if a SpeedButton is destroyed after the unit's finalization block have been executed.

- Issue History
Date Modified Username Field Change
2009-07-15 03:21 Brian New Issue
2009-07-15 08:46 obones Note Added: 0015857
2009-07-15 08:46 obones Status new => feedback
2009-08-05 12:08 obones Note Added: 0015927
2009-08-05 12:12 Brian Note Added: 0015930
2009-08-23 21:38 AHUser Note Added: 0016011
2009-08-23 21:38 AHUser Status feedback => resolved
2009-08-23 21:38 AHUser Fixed in Version => Daily / SVN
2009-08-23 21:38 AHUser Resolution open => fixed
2009-08-23 21:38 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker